using System;
namespace Prijatelji
{
    struct Prijatelji
    {
        public int sreca;
        public int prijatelj;
        public int neprijatelj;
    }
    class Program
    {
        static void Main(string[] args)
        {
            string[] nm = Console.ReadLine().Split();
            int n = int.Parse(nm[0]);
            int m = int.Parse(nm[1]);

            Prijatelji[] takmicar = new Prijatelji[n];
            for (int i = 0; i < n; i++)
            {
                takmicar[i].sreca = int.Parse(Console.ReadLine());
                takmicar[i].prijatelj = 0;
                takmicar[i].neprijatelj = 0;
            }
            for (int i = 0; i < m; i++)
            {
                string[] par = Console.ReadLine().Split();
                int x = int.Parse(par[0]);
                int y = int.Parse(par[1]);
                if ((takmicar[x - 1].sreca + takmicar[y - 1].sreca) / 2 >= 0)
                {
                    takmicar[x - 1].prijatelj++;
                    takmicar[y - 1].prijatelj++;
                }
                else
                {
                    takmicar[x - 1].neprijatelj++;
                    takmicar[y - 1].neprijatelj++;
                }
            }

            int zbir = 0;
            for (int i = 0; i < n; i++)
            {
                zbir += takmicar[i].sreca * (takmicar[i].prijatelj - takmicar[i].neprijatelj);
            }
            Console.WriteLine(zbir);
        }
    }
}